Qt 5.11 | Qt Multimedia | C++ Classes | QAudioInputSelectorControl

Qt 5.11.3 Reference Documentation

# QAudioInputSelectorControl Class

The QAudioInputSelectorControl class provides an audio input selector media control. More...

Header: | #include <QAudioInputSelectorControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioInputSelectorControl()
virtual QString | activeInput() const = 0
virtual QList<QString> | availableInputs() const = 0
virtual QString | defaultInput() const = 0
virtual QString | inputDescription(const QString &name) const = 0

## Public Slots

virtual void | setActiveInput(const QString &name) = 0

## Signals

void | activeInputChanged(const QString &name)
void | availableInputsChanged()

## Protected Functions

| QAudioInputSelectorControl(QObject *parent = nullptr)

## Macros

| QAudioInputSelectorControl_iid

## Detailed Description

The QAudioInputSelectorControl class provides an audio input selector media control.

The QAudioInputSelectorControl class provides descriptions of the audio inputs available on a system and allows one to be selected as the audio input of a media service.

The interface name of QAudioInputSelectorControl is `org.qt-project.qt.audioinputselectorcontrol/5.0` as defined in QAudioInputSelectorControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QAudioInputSelectorControl::QAudioInputSelectorControl(QObject *parent = nullptr)

Constructs a new audio input selector control with the given parent.

### `[virtual]` QAudioInputSelectorControl::~QAudioInputSelectorControl()

Destroys an audio input selector control.

### `[pure virtual]` QString QAudioInputSelectorControl::activeInput() const

Returns the name of the currently selected audio input.

See also setActiveInput().

### `[signal]` void QAudioInputSelectorControl::activeInputChanged(const QString &name)

Signals that the audio input has changed to name.

### `[pure virtual]` QList<QString> QAudioInputSelectorControl::availableInputs() const

Returns a list of the names of the available audio inputs.

### `[signal]` void QAudioInputSelectorControl::availableInputsChanged()

Signals that list of available inputs has changed.

### `[pure virtual]` QString QAudioInputSelectorControl::defaultInput() const

Returns the name of the default audio input.

### `[pure virtual]` QString QAudioInputSelectorControl::inputDescription(const QString &name) const

Returns the description of the input name.

### `[pure virtual slot]` void QAudioInputSelectorControl::setActiveInput(const QString &name)

Set the active audio input to name.

See also activeInput().

## Macro Documentation

### QAudioInputSelectorControl_iid

`org.qt-project.qt.audioinputselectorcontrol/5.0`

Defines the interface name of the QAudioInputSelectorControl class.